## qmmp-plugin-pack 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11 FATAL_ERROR)

#freebsd support
include_directories(SYSTEM /usr/local/include)
SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} /usr/local/include)

#Qt5 modules
SET(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} /opt/qt56/lib/cmake)

#installation paths
include(GNUInstallDirs)

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

SET(QMMP_PLUGIN_PACK_VERSION 1.3.1)
SET(SVN_VERSION FALSE)

string(REPLACE "." ";" VERSIONS ${QMMP_PLUGIN_PACK_VERSION})
list(GET VERSIONS 0 QMMP_PLUGIN_PACK_VERSION_MAJOR)
list(GET VERSIONS 1 QMMP_PLUGIN_PACK_VERSION_MINOR)
list(GET VERSIONS 2 QMMP_PLUGIN_PACK_VERSION_PATCH)

INCLUDE(FindPkgConfig)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
find_package(Qt5Widgets 5.4.0 REQUIRED)
find_package(Qt5LinguistTools 5.4.0 REQUIRED)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
set(CMAKE_CXX_STANDARD 11)

get_target_property(QT_LRELEASE_EXECUTABLE Qt5::lrelease IMPORTED_LOCATION)

IF(QT_LRELEASE_EXECUTABLE)
MESSAGE(STATUS "Found lrelease executable: " ${QT_LRELEASE_EXECUTABLE})
ELSE(QT_LRELEASE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Could NOT find lrelease executable")
ENDIF(QT_LRELEASE_EXECUTABLE)

MESSAGE(STATUS "Generating translations ...")
IF(SVN_VERSION)
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent -nounfinished)
ELSE(SVN_VERSION)
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent)
ENDIF(SVN_VERSION)

SET(PLUGIN_DIR "${CMAKE_INSTALL_LIBDIR}/qmmp-${QMMP_PLUGIN_PACK_VERSION_MAJOR}.${QMMP_PLUGIN_PACK_VERSION_MINOR}" CACHE STRING "plugin path")
#SET(APP_NAME_SUFFIX "-1")

pkg_check_modules(QMMP qmmp${APP_NAME_SUFFIX}>=1.3.0 REQUIRED)
pkg_check_modules(QMMPUI qmmpui${APP_NAME_SUFFIX}>=1.3.0)

IF(QMMP_FOUND)
add_subdirectory(src)
include_directories(${QMMP_INCLUDEDIR})
ENDIF(QMMP_FOUND)

IF(QMMPUI_FOUND)
include_directories(${QMMPUI_INCLUDEDIR})
ENDIF(QMMPUI_FOUND)

MACRO(PRINT_SUMMARY str USE FOUND)
IF(${USE} AND ${FOUND})
MESSAGE("${str}enabled")
ELSE(${USE} AND ${FOUND})
MESSAGE("${str}disabled")
ENDIF(${USE} AND ${FOUND})
ENDMACRO(PRINT_SUMMARY)

IF (UNIX)
ADD_CUSTOM_TARGET (distclean @echo cleaning for source distribution)

ADD_CUSTOM_COMMAND(
    COMMENT "distribution clean"
    COMMAND make
    ARGS -C ${CMAKE_CURRENT_BINARY_DIR} clean
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeCache.txt" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeFiles" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "Makefile" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name \"*.cmake\" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_SOURCE_DIR} -name "*.qm" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.pc" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.depends" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.cxx_parameters" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "moc_*.cpp" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*_automoc.cpp" | xargs rm -rf
    COMMAND rm
    ARGS -rf ${CMAKE_CURRENT_BINARY_DIR}/install_manifest.txt
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name *_automoc.dir | xargs rm -rf
    TARGET  distclean
)
ENDIF(UNIX)

MESSAGE("")
MESSAGE("Input Plugins:")
PRINT_SUMMARY ("FFap plugin (Monkey's audio) ...." USE_FFAP TAGLIB_FOUND)
PRINT_SUMMARY ("XMP plugin ......................" USE_XMP XMP_FOUND)

MESSAGE("")
MESSAGE("Engines:")
PRINT_SUMMARY ("FFmpeg video plugin ............." USE_FFVIDEO FFMPEG_FOUND)

MESSAGE("")
MESSAGE("Effect Plugins:")
PRINT_SUMMARY ("Sample Rate Conversion .........." USE_SRC SAMPLERATE_FOUND)

MESSAGE("")
MESSAGE("Visual Plugins:")
PRINT_SUMMARY ("Goom visualization .............." USE_GOOM 1)

MESSAGE("")
MESSAGE("Advanced:")
PRINT_SUMMARY ("FFap sssempler optimizations ...." YASM_FOUND USE_FFAP)
PRINT_SUMMARY ("Goom assempler optimizations ...." GOOM_ASM USE_GOOM)


MESSAGE("")

=== src/CMakeLists.txt ===
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
SET(USE_ASM    TRUE CACHE BOOL "enable/disable assembler optimizations")

add_subdirectory(Input)
add_subdirectory(Effect)
add_subdirectory(Visual)
add_subdirectory(Engines)

=== src/Engines/CMakeLists.txt ===
SET(USE_FFVIDEO TRUE CACHE BOOL "enable/disable FFmpeg video plugin")

IF(USE_FFVIDEO)
add_subdirectory(ffvideo)
ENDIF(USE_FFVIDEO)

=== src/Input/CMakeLists.txt ===
SET(USE_XMP    TRUE CACHE BOOL "enable/disable xmp plugin")
SET(USE_FFAP   TRUE CACHE BOOL "enable/disable ffap plugin")

INCLUDE(FindPkgConfig)
pkg_check_modules(TAGLIB taglib>=1.10)

IF(USE_XMP)
add_subdirectory(xmp)
ENDIF(USE_XMP)

IF(USE_FFAP AND TAGLIB_FOUND)
add_subdirectory(ffap)
ENDIF(USE_FFAP AND TAGLIB_FOUND)

=== src/Engines/ffvideo/CMakeLists.txt ===
project(libffvideo)

# fixes ffmpeg defines
ADD_DEFINITIONS(-D__STDC_CONSTANT_MACROS)

# libqmmp
include_directories(${QMMP_INCLUDE_DIRS})
link_directories( ${QMMP_LIBRARY_DIRS})

# minimal supported version
# ffmpeg-3.1: libavcodec-57.48.101, libavformat-57.40.101, libavutil-55.27.100, libswscale-4.1.100
pkg_check_modules(FFMPEG libavcodec>=57.48.101 libavformat>=57.40.101 libavutil>=55.27.100 libswscale>=4.1.100 libswresample)

include_directories(${FFMPEG_INCLUDE_DIRS})
link_directories(${FFMPEG_LIBRARY_DIRS})
ADD_DEFINITIONS(${FFMPEG_CFLAGS})

SET(libffvideo_SRCS
  audiothread.cpp
  ffmpegengine.cpp
  ffvideodecoder.cpp
  ffvideofactory.cpp
  ffvideometadatamodel.cpp
  packetbuffer.cpp
  videothread.cpp
  videowindow.cpp
)

SET(libffvideo_HDRS
  ffvideodecoder.h
)

SET(libffvideo_RCCS translations/translations.qrc)

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

IF(FFMPEG_FOUND)
ADD_LIBRARY(ffvideo MODULE ${libffvideo_SRCS} ${libffvideo_RCC_SRCS} ${libffvideo_HDRS})
target_link_libraries(ffvideo Qt5::Widgets ${QMMP_LDFLAGS} ${FFMPEG_LDFLAGS})
install(TARGETS ffvideo DESTINATION ${PLUGIN_DIR}/Engines)
ENDIF(FFMPEG_FOUND)

=== src/Input/ffap/CMakeLists.txt ===
project(libffap)

REMOVE_DEFINITIONS(-Wall)

# libqmmp
include_directories(${QMMP_INCLUDE_DIRS})
link_directories( ${QMMP_LIBRARY_DIRS})


include_directories(${TAGLIB_INCLUDE_DIRS})
link_directories(${TAGLIB_LIBRARY_DIRS})
ADD_DEFINITIONS(${TAGLIB_CFLAGS})

SET(libffap_SRCS
  decoder_ffap.cpp
  decoder_ffapcue.cpp
  decoderffapfactory.cpp
  ffapmetadatamodel.cpp
  cueparser.cpp
  ffap.c
)

SET(libffap_HDRS
  decoder_ffap.h
  decoder_ffapcue.h
  cueparser.h
  ffap.h
)

IF(USE_ASM)
FIND_PROGRAM(YASM_PATH yasm)
ENDIF(USE_ASM)

IF(USE_ASM AND (NOT YASM_PATH MATCHES "^.*-NOTFOUND"))
  SET(YASM_FOUND TRUE CACHE INTERNAL "yasm_found")
  IF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(i.86|x86_64)$")
   
    ADD_DEFINITIONS(-DHAVE_SSE2)
    SET(YASM_OBJS x86inc.o dsputil_yasm.o)
    
    IF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(i.86)$")
      ADD_DEFINITIONS(-DARCH_X86_32)
      
      add_custom_command(OUTPUT x86inc.o 
                         COMMAND yasm ARGS -m x86 -f elf32 -DARCH_X86_32 x86inc.asm -o ${CMAKE_CURRENT_BINARY_DIR}/x86inc.o
                         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                         COMMENT "Building x86inc.o")
      add_custom_command(OUTPUT dsputil_yasm.o
                         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} 
                         COMMAND yasm ARGS -m x86 -f elf32 -DARCH_X86_32 dsputil_yasm.asm -o ${CMAKE_CURRENT_BINARY_DIR}/dsputil_yasm.o
                         DEPENDS x86inc.o COMMENT "Building dsputil_yasm.o")
      
      message("-- Architecture: x86")
    ELSEIF(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
      ADD_DEFINITIONS(-DARCH_X86_64)
      
      add_custom_command(OUTPUT x86inc.o 
                         COMMAND yasm ARGS -m amd64 -f elf64 -DARCH_X86_64 -DPIC x86inc.asm -o ${CMAKE_CURRENT_BINARY_DIR}/x86inc.o
                         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                         COMMENT "compiling  x86inc.asm")
      add_custom_command(OUTPUT dsputil_yasm.o
                         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} 
                         COMMAND yasm ARGS -m amd64 -f elf64 -DARCH_X86_64 -DPIC dsputil_yasm.asm -o ${CMAKE_CURRENT_BINARY_DIR}/dsputil_yasm.o
                         DEPENDS x86inc.o COMMENT "compiling  dsputil_yasm.asm")
      
      message("-- Architecture: x86_64")
    ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(i.86)$")
  ELSE(CMAKE_SYSTEM_PROCESSOR MATCHES "^(i.86|x86_64)$")
    ADD_DEFINITIONS(-DARCH_UNKNOWN)
    message("-- Architecture: unknown")
  ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(i.86|x86_64)$")

ELSE(USE_ASM AND (NOT YASM_PATH MATCHES "^.*-NOTFOUND"))
    message("-- Assembler optimizations are disabled")
ENDIF(USE_ASM AND (NOT YASM_PATH MATCHES "^.*-NOTFOUND"))

SET(libffap_RCCS translations/translations.qrc)

QT5_ADD_RESOURCES(libffap_RCC_SRCS ${libffap_RCCS})

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})


ADD_LIBRARY(ffap MODULE ${libffap_SRCS} ${libffap_RCC_SRCS} ${libffap_HDRS} ${YASM_OBJS})
target_link_libraries(ffap Qt5::Widgets ${QMMP_LDFLAGS} ${ffap_LDFLAGS} ${TAGLIB_LDFLAGS})
install(TARGETS ffap DESTINATION ${PLUGIN_DIR}/Input)

=== src/Input/xmp/CMakeLists.txt ===
project(libxmp)

# libqmmp
include_directories(${QMMP_INCLUDE_DIRS})
link_directories(${QMMP_LIBRARY_DIRS})

# xmp
pkg_search_module(XMP libxmp)

include_directories(${XMP_INCLUDE_DIRS})
link_directories(${XMP_LIBRARY_DIRS})
ADD_DEFINITIONS(${XMP_CFLAGS})

SET(libxmp_SRCS
  decoder_xmp.cpp
  decoderxmpfactory.cpp
  xmpmetadatamodel.cpp
  settingsdialog.cpp
  xmpmetadatamodel.cpp
)

SET(libxmp_HDRS
  decoder_xmp.h
)

SET(libxmp_RCCS translations/translations.qrc)

QT5_ADD_RESOURCES(libxmp_RCC_SRCS ${libxmp_RCCS})

# user interface

SET(libxmp_UIS
    settingsdialog.ui
)

QT5_WRAP_UI(libxmp_UIS_H ${libxmp_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

IF(XMP_FOUND)
ADD_LIBRARY(xmp MODULE ${libxmp_SRCS} ${libxmp_UIS_H} ${libxmp_RCC_SRCS} ${libxmp_HDRS})
target_link_libraries(xmp Qt5::Widgets ${QMMP_LDFLAGS} ${XMP_LDFLAGS})
install(TARGETS xmp DESTINATION ${PLUGIN_DIR}/Input)
ENDIF(XMP_FOUND)

## qmmp-plugin-pack 0.10.2

=== debian/changelog ===
qmmp-plugin-pack (0.10.2-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Dec 2016 12:51:18 -0800

qmmp-plugin-pack (0.10.2-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 04 Oct 2016 15:52:44 +0300

qmmp-plugin-pack-qt4 (0.10.1-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sun, 28 Aug 2016 19:06:08 +0300

qmmp-plugin-pack-qt4 (0.10.0-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 21 Jun 2016 22:27:55 +0300

qmmp-plugin-pack-qt4 (0.9.5-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 09 Jun 2016 20:15:21 +0300

qmmp-plugin-pack-qt4 (0.9.4-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 02 May 2016 15:58:44 +0300

qmmp-plugin-pack-qt4 (0.9.3-1ubuntu2~xenial0) xenial; urgency=medium

  * Added libxmp-dev dependency.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 27 Jan 2016 19:36:44 +0300

qmmp-plugin-pack-qt4 (0.9.3-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Fri, 18 Dec 2015 22:01:05 +0300

qmmp-plugin-pack-qt4 (0.9.2-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 10 Oct 2015 11:05:28 +0300

qmmp-plugin-pack-qt4 (0.9.1-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 01 Oct 2015 18:57:52 +0300

qmmp-plugin-pack-qt4 (0.9.0-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Fri, 04 Sep 2015 00:59:38 +0300

qmmp-plugin-pack-qt4 (0.8.6-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 25 Aug 2015 16:55:23 +0300

qmmp-plugin-pack-qt4 (0.8.5-1ubuntu1~vivid0) vivid; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 08 Aug 2015 22:11:16 +0300

qmmp-plugin-pack-qt4 (0.8.4-1ubuntu1~vivid0) vivid; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 06 Jun 2015 20:03:18 +0300

qmmp-plugin-pack-qt4 (0.8.3-3ubuntu1~vivid3) vivid; urgency=medium

  * Rebuild with new qmmp and taglib.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 25 Apr 2015 15:26:43 +0300

qmmp-plugin-pack-qt4 (0.8.3-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 05 Jan 2015 14:26:20 +0300

qmmp-plugin-pack-qt4 (0.8.2-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 13 Oct 2014 17:53:14 +0400

qmmp-plugin-pack-qt4 (0.8.1-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 06 Aug 2014 18:41:06 +0400

qmmp-plugin-pack-qt4 (0.8.0-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 05 Jul 2014 09:54:08 +0400

qmmp-plugin-pack-qt4 (0.7.7-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Fri, 23 May 2014 18:43:29 +0400

qmmp-plugin-pack-qt4 (0.7.6-1ubuntu1~trusty0) trusty; urgency=low

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 05 Apr 2014 15:38:19 +0400

qmmp-plugin-pack-qt4 (0.7.5-1ubuntu3~saucy0) saucy; urgency=low

  * Fixed original sources.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 12 Feb 2014 19:13:32 +0400

qmmp-plugin-pack-qt4 (0.7.5-1ubuntu1~saucy0) saucy; urgency=low

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 11 Feb 2014 22:13:55 +0400

qmmp-plugin-pack-qt4 (0.7.4-1ubuntu1~saucy0) saucy; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 24 Dec 2013 20:52:22 +0400

qmmp-plugin-pack-qt4 (0.7.3-1ubuntu1~saucy0) saucy; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 02 Oct 2013 20:23:04 +0400

qmmp-plugin-pack-qt4 (0.7.2-1ubuntu1~raring0) raring; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 26 Aug 2013 23:20:04 +0400

qmmp-plugin-pack-qt4 (0.7.1-1ubuntu1~raring0) raring; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Fri, 31 May 2013 19:03:36 +0400

qmmp-plugin-pack-qt4 (0.7.0-1ubuntu3~raring0) raring; urgency=low

  * debian/control
    - Fixed homepage.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 20 Apr 2013 10:10:12 +0400

qmmp-plugin-pack-qt4 (0.7.0-1ubuntu2~quantal0) quantal; urgency=low

  * debian/docs
    - Fixed documentation list.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 11 Apr 2013 22:37:49 +0400

qmmp-plugin-pack-qt4 (0.7.0-1ubuntu1~quantal0) quantal; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 11 Apr 2013 20:10:05 +0400

qmmp-plugin-pack-qt4 (0.6.6-1ubuntu3~quantal0) quantal; urgency=low

  * Fixed section

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 04 Apr 2013 19:31:12 +0400

qmmp-plugin-pack-qt4 (0.6.6-1ubuntu2~quantal0) quantal; urgency=low

  * Rebuild

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 03 Apr 2013 21:19:25 +0400

qmmp-plugin-pack-qt4 (0.6.6-1ubuntu1~quantal0) quantal; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 25 Mar 2013 21:58:20 +0400

qmmp-plugin-pack-qt4 (0.6.5-1ubuntu1~quantal0) quantal; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 20 Feb 2013 22:28:27 +0400

qmmp-plugin-pack-qt4 (0.6.4-1ubuntu3~quantal0) quantal; urgency=low

  * Initial release for Ubuntu

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 09 Feb 2013 18:03:18 +0400

=== debian/control ===
Source: qmmp-plugin-pack
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ilya Kotov <forkotov02@hotmail.ru>
Build-Depends: debhelper (>= 8.0.0), cmake, yasm, pkg-config,
 libmpg123-dev, libqt4-dev (>= 4:4.7.0),
 libtag1-dev (>= 1.7), libxmp-dev (>=4.2),
 libsamplerate0-dev (>= 0.1.2), qmmp (>= 0.10)
Standards-Version: 3.9.6
Homepage: http://qmmp.ylsoftware.com/plugins.php

Package: qmmp-plugin-pack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extra plugins for Qmmp
 Plugin pack is a set of extra plugins for Qmmp (Qt-based mutimedia player)
 Plugins list:
 - MPG123 - MPEG v1/2 layer1/2/3 decoder using of libmpg123 library;
 - FFap - enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue
   support);
 - XMP - module player with use of the libxmp library.
 - Sample Rate Converter - resampler based on libsamplerate library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEBDIR=debian/tmp

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKE_AUX_FLAGS = -j$(NUMJOBS)
endif

# For hardening (CPPFLAGS is not taken into account by upstream's build system)
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

# Prevent useless dependencies
LDFLAGS += -Wl,--as-needed

# Extra pkg-config path
export PKG_CONFIG_PATH=/usr/lib/qmmp/pkgconfig

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DLIB_DIR=lib/qmmp \
	 -DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
	 -DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=TRUE \
	 -DUSE_SRC=FALSE \
	 $(EXTRA_CMAKE_ARGS)

override_dh_auto_build:
	dh_auto_build -- $(MAKE_AUX_FLAGS)

## qmmp-plugin-pack 1.3.1

=== debian/changelog ===
qmmp-plugin-pack (1.3.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Sep 2019 15:50:47 -0700

qmmp-plugin-pack (1.3.1-1ubuntu1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 05 May 2019 00:57:52 +0300

qmmp-plugin-pack (1.3.1-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 05 May 2019 00:14:38 +0300

qmmp-plugin-pack (1.3.0-1ubuntu1~xenial2) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 10 Feb 2019 15:03:57 +0300

qmmp-plugin-pack (1.2.4-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Tue, 08 Jan 2019 14:38:12 +0300

qmmp-plugin-pack (1.2.3-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Sat, 22 Sep 2018 09:07:33 +0300

qmmp-plugin-pack (1.2.2-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Fri, 20 Jul 2018 19:46:24 +0300

qmmp-plugin-pack (1.2.1-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Thu, 19 Apr 2018 21:05:29 +0300

qmmp-plugin-pack (1.2.0-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Sat, 25 Nov 2017 15:12:13 +0300

qmmp-plugin-pack (1.1.5-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Fri, 20 Oct 2017 22:43:47 +0300

qmmp-plugin-pack (1.1.4-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 05 Aug 2017 00:32:21 +0300

qmmp-plugin-pack (1.1.3-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 04 Oct 2016 15:54:22 +0300

qmmp-plugin-pack (1.1.2-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sun, 28 Aug 2016 19:14:54 +0300

qmmp-plugin-pack (1.1.1-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 04 Jul 2016 20:44:53 +0300

qmmp-plugin-pack (1.1.0-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 21 Jun 2016 22:30:11 +0300

qmmp-plugin-pack (1.0.4-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 09 Jun 2016 20:24:44 +0300

qmmp-plugin-pack (1.0.3-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 02 May 2016 16:00:34 +0300

qmmp-plugin-pack (1.0.2-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 27 Jan 2016 20:10:36 +0300

qmmp-plugin-pack (0.9.3-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Fri, 18 Dec 2015 22:01:05 +0300

qmmp-plugin-pack (0.9.2-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 10 Oct 2015 11:05:28 +0300

qmmp-plugin-pack (0.9.1-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 01 Oct 2015 18:57:52 +0300

qmmp-plugin-pack (0.9.0-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Fri, 04 Sep 2015 00:59:38 +0300

qmmp-plugin-pack (0.8.6-1ubuntu1~wily0) wily; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 25 Aug 2015 16:55:23 +0300

qmmp-plugin-pack (0.8.5-1ubuntu1~vivid0) vivid; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 08 Aug 2015 22:11:16 +0300

qmmp-plugin-pack (0.8.4-1ubuntu1~vivid0) vivid; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 06 Jun 2015 20:03:18 +0300

qmmp-plugin-pack (0.8.3-3ubuntu1~vivid3) vivid; urgency=medium

  * Rebuild with new qmmp and taglib.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 25 Apr 2015 15:26:43 +0300

qmmp-plugin-pack (0.8.3-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 05 Jan 2015 14:26:20 +0300

qmmp-plugin-pack (0.8.2-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 13 Oct 2014 17:53:14 +0400

qmmp-plugin-pack (0.8.1-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 06 Aug 2014 18:41:06 +0400

qmmp-plugin-pack (0.8.0-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 05 Jul 2014 09:54:08 +0400

qmmp-plugin-pack (0.7.7-1ubuntu1~trusty0) trusty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Fri, 23 May 2014 18:43:29 +0400

qmmp-plugin-pack (0.7.6-1ubuntu1~trusty0) trusty; urgency=low

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 05 Apr 2014 15:38:19 +0400

qmmp-plugin-pack (0.7.5-1ubuntu3~saucy0) saucy; urgency=low

  * Fixed original sources.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 12 Feb 2014 19:13:32 +0400

qmmp-plugin-pack (0.7.5-1ubuntu1~saucy0) saucy; urgency=low

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 11 Feb 2014 22:13:55 +0400

qmmp-plugin-pack (0.7.4-1ubuntu1~saucy0) saucy; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 24 Dec 2013 20:52:22 +0400

qmmp-plugin-pack (0.7.3-1ubuntu1~saucy0) saucy; urgency=low

  * New upstream release

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 02 Oct 2013 20:23:04 +0400

qmmp-plugin-pack (0.7.2-1ubuntu1~raring0) raring; urgency=low



=== debian/control ===
Source: qmmp-plugin-pack
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ilya Kotov <iokotov@astralinux.ru>
Build-Depends: cmake,
               debhelper (>= 9),
               libtag1-dev (>= 1.11),
               libxmp-dev (>= 4.2.0),
               pkg-config,
               qmmp (>= 1.3.0),
               qtbase5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
#               qttools5-dev-tools (>= 5.4),
               yasm
Standards-Version: 3.9.3
Homepage: http://qmmp.ylsoftware.com/plugins.php

Package: qmmp-plugin-pack
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Description: Extra plugins for Qmmp
 Plugin pack is a set of extra plugins for Qmmp (Qt-based mutimedia player)
 Plugins list:
 - FFap - enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded
   cue support);
 - XMP - module player with use of the libxmp library;
 - Goom - audio visualization based on goom project.

=== debian/rules ===
--- 
+++ 
@@ -20,16 +20,21 @@
 export PKG_CONFIG_PATH=/usr/lib/qmmp/pkgconfig
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DLIB_DIR=lib/qmmp \
+	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=lib/qmmp \
 	 -DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
 	 -DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=TRUE \
 	 -DUSE_SRC=FALSE \
+	 -DUSE_FFVIDEO=FALSE \
 	 $(EXTRA_CMAKE_ARGS)
 
 override_dh_auto_build:
 	dh_auto_build -- $(MAKE_AUX_FLAGS)
 
-
+# dh_auto_clean doesn't call make distclean automatically from the CMake build
+# directory, so we have to remove leftover .qm files manually
+override_dh_auto_clean:
+	find -name '*.qm' | xargs rm -fv
+	dh_auto_clean

=== debian/watch ===
version=3
http://qmmp.ylsoftware.com/files/plugins qmmp-plugin-pack-(.+)\.tar\.bz2

## qmmp-plugin-pack 2.2.2

=== debian/changelog ===
qmmp-plugin-pack (2.2.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Apr 2025 11:42:38 -0700

qmmp-plugin-pack (2.2.2-1ubuntu1~plucky0) plucky; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sat, 29 Mar 2025 14:59:06 +0300

qmmp-plugin-pack (2.2.1-1ubuntu1~oracular0) oracular; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Tue, 15 Oct 2024 00:30:29 +0300

qmmp-plugin-pack (2.2.0-1ubuntu1~oracular0) oracular; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sat, 05 Oct 2024 10:24:04 +0300

qmmp-plugin-pack (2.1.2-1ubuntu1~oracular) oracular; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Tue, 23 Sep 2024 21:50:34 +0300

qmmp-plugin-pack (2.1.1-1ubuntu1~noble0) noble; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Wed, 17 Apr 2024 21:01:38 +0300

qmmp-plugin-pack (2.1.0-1ubuntu1~lunar3) lunar; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sat, 02 Jul 2022 21:31:30 +0300

qmmp-plugin-pack (1.6.0-1ubuntu1~jammy0) jammy; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Tue, 17 May 2022 23:42:36 +0300

qmmp-plugin-pack (1.5.3-1ubuntu1~jammy0) jammy; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Mon, 28 Mar 2022 20:55:36 +0300

qmmp-plugin-pack (1.5.2-1ubuntu1~impish0) impish; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Tue, 12 Oct 2021 11:29:58 +0300

qmmp-plugin-pack (1.5.1-1ubuntu1~impish0) impish; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Tue, 13 Jul 2021 11:37:01 +0300

qmmp-plugin-pack (1.5.0-1ubuntu1~hirsute0) hirsute; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 23 May 2021 15:29:37 +0300

qmmp-plugin-pack (1.4.1-1ubuntu1~hirsute0) hirsute; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 09 May 2021 15:21:45 +0300

qmmp-plugin-pack (1.4.0-1ubuntu1~hirsute2) hirsute; urgency=medium

  * Rebuild.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sat, 24 Oct 2020 12:59:31 +0300

qmmp-plugin-pack (1.4.0-1ubuntu1~focal0) focal; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Tue, 28 Apr 2020 22:16:02 +0300

qmmp-plugin-pack (1.3.2-1ubuntu1~focal0) focal; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Thu, 26 Mar 2020 21:28:21 +0300

qmmp-plugin-pack (1.3.1-1ubuntu1~disco0) disco; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 05 May 2019 00:14:38 +0300

qmmp-plugin-pack (1.3.0-1ubuntu1~cosmic0) cosmic; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 10 Feb 2019 15:03:57 +0300

qmmp-plugin-pack (1.2.4-1ubuntu1~cosmic0) cosmic; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Tue, 08 Jan 2019 14:38:12 +0300

qmmp-plugin-pack (1.2.3-1ubuntu1~cosmic0) cosmic; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Sat, 22 Sep 2018 09:07:34 +0300

qmmp-plugin-pack (1.2.2-1ubuntu1~bionic0) bionic; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Fri, 20 Jul 2018 19:46:25 +0300

qmmp-plugin-pack (1.2.1-1ubuntu1~bionic0) bionic; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Thu, 19 Apr 2018 21:05:30 +0300

qmmp-plugin-pack (1.2.0-1ubuntu1~bionic0) bionic; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Sat, 25 Nov 2017 15:12:14 +0300

qmmp-plugin-pack (1.1.5-1ubuntu1~artful0) artful; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Fri, 20 Oct 2017 22:43:47 +0300

qmmp-plugin-pack (1.1.4-1ubuntu1~zesty0) zesty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 05 Aug 2017 00:32:21 +0300

qmmp-plugin-pack (1.1.3-1ubuntu1~zesty0) zesty; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 04 Mar 2017 12:40:22 +0300

qmmp-plugin-pack (1.1.2-1ubuntu1~yakkety0) yakkety; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sun, 28 Aug 2016 19:14:54 +0300

=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,15 @@
 export PKG_CONFIG_PATH=/usr/lib/qmmp/pkgconfig
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=lib/qmmp \
+	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr \
+	 -DCMAKE_INSTALL_LIBDIR=lib/qmmp \
+	 -DPLUGIN_DIR=lib/qmmp/plugins \
 	 -DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
 	 -DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=TRUE \
 	 -DUSE_SRC=FALSE \
-	 -DUSE_FFVIDEO=FALSE \
 	 $(EXTRA_CMAKE_ARGS)
 
 override_dh_auto_build:
@@ -38,3 +39,8 @@
 override_dh_auto_clean:
 	find -name '*.qm' | xargs rm -fv
 	dh_auto_clean
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
